Do not re-install gnash key if it is already installed
[hvlinux.git] / stage2 / cis-compressdoc
index 0a77265..19ac7e5 100755 (executable)
@@ -1,4 +1,6 @@
-#!/bin/sh
+#!/bin/bash
+set -o errexit
+
 # First argument of this script is the package name.
 
 # Reading system configuration informations, functions and package versions.
@@ -6,9 +8,8 @@ source ../sysinfos
 source ../functions
 source ../packages-list
 
-CWD=$(pwd)
-
-install -m755 ${CWD}/misc/compressdoc /usr/sbin &&
+# If not already installed by previous invocation of this script:
+install -m755 ${SCRDIR}/misc/compressdoc /usr/sbin
 
 # Compressing man pages with bzip2
 /usr/sbin/compressdoc --bz2